Bug 478032 - MIGRATED_FROM_JIRA: No need to save empty "cacheExpiration" source parameter
MIGRATED_FROM_JIRA: No need to save empty "cacheExpiration" source parameter
Status: CLOSED UPSTREAM
Product: penrose
Classification: Retired
Component: Studio (Show other bugs)
2.0
All Linux
low Severity low
: ---
: ---
Assigned To: Endi Sukma Dewata
Chandrasekar Kannan
:
Depends On:
Blocks: 471500
  Show dependency treegraph
 
Reported: 2008-12-27 02:52 EST by Chandrasekar Kannan
Modified: 2015-01-04 18:35 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-27 02:52:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chandrasekar Kannan 2008-12-27 02:52:29 EST
Create a new source or just edit an existing one. Set the Cache Expiration empty, then save it. In the sources.xml it will be stored as:

    <parameter>
      <param-name>cacheExpiration</param-name>
      <param-value></param-value>
    </parameter>

This parameter should not be added at all when the value is empty.


=========================================================
Issue dump from jira
$VAR1 = {
          'priority' => '4',
          'customFieldValues' => [],
          'project' => 'PENROSE',
          'status' => '6',
          'components' => [
                            {
                              'name' => 'Studio',
                              'id' => '10010'
                            }
                          ],
          'reporter' => 'endisd',
          'key' => 'PENROSE-22',
          'assignee' => 'endisd',
          'summary' => 'No need to save empty "cacheExpiration" source parameter',
          'id' => '10087',
          'updated' => '2005-07-07 17:52:47.0',
          'votes' => '0',
          'fixVersions' => [
                           {
                             'releaseDate' => '2005-06-03 00:00:00.0',
                             'sequence' => '1',
                             'name' => 'Penrose-0.9.1',
                             'released' => 'true',
                             'id' => '10004',
                             'archived' => 'false'
                           }
                         ],
          'description' => 'Create a new source or just edit an existing one. Set the Cache Expiration empty, then save it. In the sources.xml it will be stored as:

    <parameter>
      <param-name>cacheExpiration</param-name>
      <param-value></param-value>
    </parameter>

This parameter should not be added at all when the value is empty.
',
          'affectsVersions' => [],
          'created' => '2005-05-13 13:26:47.0',
          'environment' => 'Windows',
          'resolution' => '1',
          'type' => '1'
        };


=========================================================
Comment 1 Chandrasekar Kannan 2008-12-27 02:52:31 EST
Closing bug as it was already closed in Jira - PENROSE-22

Note You need to log in before you can comment on or make changes to this bug.